/*
 * mpgedit playback plugin using popen
 *
 * Copyright (C) 2001 Adam Bernstein
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307  USA.
 */

#ifndef lint
static char SccsId[] = "$Id: decoder.c,v 1.6 2001/10/03 14:20:39 number6 Exp $";
#endif

#include <stdio.h>
#include <stdlib.h>
#include "decoder.h"

void *mpgdecoder_alloc(void)
{
    return calloc(1, 1);
}



void mpgdecoder_free(void *ctx)
{
    if (ctx) {
        free(ctx);
    }
}

void mpgdecoder_init(void *ctx)
{
}


FILE *mpgdecoder_open(void *ctx, int sample_rate, int stereo)
{
    FILE *playfp;
    
    playfp = popen("mp3decoder.sh", "w");
    return playfp;
}


void mpgdecoder_play_frame(void          *ctx,
                           FILE          **playfp,
                           unsigned char *buf,
                           int           len,
                           int           rate,
                           int           stereo)
{
    fwrite(buf, len, 1, *playfp);
}



void *default_mpgdecoder_alloc(void)
{
    return mpgdecoder_alloc();
}


void default_mpgdecoder_free(void *ctx)
{
    mpgdecoder_free(ctx);
}


void default_mpgdecoder_init(void *ctx)
{
    mpgdecoder_init(ctx);
}


FILE *default_mpgdecoder_open(void *ctx, int sample_rate, int stereo)
{
    return mpgdecoder_open(ctx, sample_rate, stereo);
}


void default_mpgdecoder_play_frame(void          *ctx,
                                   FILE          **playfp,
                                   unsigned char *buf,
                                   int           len,
                                   int           rate,
                                   int           stereo)
{
    mpgdecoder_play_frame(ctx,
                          playfp,
                          buf,
                          len,
                          rate,
                          stereo);
}
