/*
 * mpgedit application code header file
 *
 * Copyright (C) 2001 Adam Bernstein
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307  USA.
 */

/*
 * SccsId[] = "$Id: mp3_header.h,v 1.5 2001/10/03 14:20:54 number6 Exp $"
 */

#ifndef _MP3_HEADER_H
#define _MP3_HEADER_H


#include "mp3time.h"

typedef struct _editspec
{
    char      *filename;
    char      *timespec;
    mpeg_time stime;
    mpeg_time etime;
} editspec;


typedef struct _mpegfio_iocallbacks
{
    void *ctx;
    void (*printf)(void *, const char *, ...);
    int  (*getch)(void *);
    void *mpctx;
} mpegfio_iocallbacks;


int curs_interactive_play_file(char *filename,
                               char *stime_str,
                               char *dtime_str,
                               mpegfio_iocallbacks *ttyio);

int curs_build_indexfile(char *filename, mpegfio_iocallbacks *ttyio);
int validate_outfile(char *filename,
                     char **ret_filename,
                     int *ret_fileappend);


#endif
